apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: tenant-pidoka
  namespace: argocd
spec:
  description: Pidoka / Heckenfels tenant applications
  sourceRepos:
    - https://github.com/GitMasterOne/platform-gitops.git
    - https://github.com/GitMasterOne/ArgoCD.git
    - 8gears.container-registry.com
  destinations:
    - server: https://192.168.20.40:6443
      namespace: pidoka-hf-matomo
    - server: https://192.168.20.40:6443
      namespace: hf-n8n
    - server: https://192.168.20.40:6443
      namespace: hf-mautic
    - server: https://192.168.20.40:6443
      namespace: hf-espocrm
    - server: https://192.168.20.40:6443
      namespace: hf-matomo
    - server: https://192.168.20.40:6443
      namespace: hf-suitecrm
    - server: https://192.168.20.40:6443
      namespace: zammad
    - server: https://192.168.20.40:6443
      namespace: homarr
  clusterResourceWhitelist: []
  namespaceResourceWhitelist:
    - group: "*"
      kind: "*"
